json_c_version.h File Reference

Methods for retrieving the json-c version. More...

## Macros

#define | JSON_C_MAJOR_VERSION 0
#define | JSON_C_MINOR_VERSION 19
#define | JSON_C_MICRO_VERSION 0
#define | JSON_C_VERSION_NUM ((JSON_C_MAJOR_VERSION << 16) | (JSON_C_MINOR_VERSION << 8) | JSON_C_MICRO_VERSION)
#define | JSON_C_VERSION "0.19"
#define | JSON_EXPORT extern

## Functions

JSON_EXPORT const char * | json_c_version (void)
JSON_EXPORT int | json_c_version_num (void)

## Detailed Description

Methods for retrieving the json-c version.

## Macro Definition Documentation

## JSON_C_MAJOR_VERSION

#define JSON_C_MAJOR_VERSION 0

## JSON_C_MICRO_VERSION

#define JSON_C_MICRO_VERSION 0

## JSON_C_MINOR_VERSION

#define JSON_C_MINOR_VERSION 19

## JSON_C_VERSION

#define JSON_C_VERSION "0.19"

## JSON_C_VERSION_NUM

#define JSON_C_VERSION_NUM ((JSON_C_MAJOR_VERSION << 16) | (JSON_C_MINOR_VERSION << 8) | JSON_C_MICRO_VERSION)

## JSON_EXPORT

#define JSON_EXPORT extern

Referenced by json_c_object_sizeof(), json_c_set_serialization_double_format(), json_c_version(), json_c_version_num(), json_c_visit(), json_object_array_add(), json_object_array_del_idx(), json_object_array_get_idx(), json_object_array_insert_idx(), json_object_array_length(), json_object_array_put_idx(), json_object_array_put_with_idx_limit_cb(), json_object_array_shrink(), json_object_array_sort(), json_object_deep_copy(), json_object_double_to_json_string(), json_object_equal(), json_object_from_fd(), json_object_from_fd_ex(), json_object_from_file(), json_object_get(), json_object_get_array(), json_object_get_boolean(), json_object_get_double(), json_object_get_int(), json_object_get_int64(), json_object_get_object(), json_object_get_string(), json_object_get_string_len(), json_object_get_type(), json_object_get_uint64(), json_object_get_userdata(), json_object_int_inc(), json_object_is_type(), json_object_iter_begin(), json_object_iter_end(), json_object_iter_equal(), json_object_iter_init_default(), json_object_iter_next(), json_object_iter_peek_name(), json_object_new_array(), json_object_new_array_ext(), json_object_new_boolean(), json_object_new_double(), json_object_new_double_s(), json_object_new_int(), json_object_new_int64(), json_object_new_null(), json_object_new_object(), json_object_new_string(), json_object_new_string_len(), json_object_new_uint64(), json_object_object_add(), json_object_object_add_ex(), json_object_object_del(), json_object_object_get(), json_object_object_get_ex(), json_object_object_length(), json_object_put(), json_object_set_boolean(), json_object_set_double(), json_object_set_int(), json_object_set_int64(), json_object_set_serializer(), json_object_set_string(), json_object_set_string_len(), json_object_set_uint64(), json_object_set_userdata(), json_object_to_fd(), json_object_to_file(), json_object_to_file_ext(), json_object_to_json_string(), json_object_to_json_string_ext(), json_object_to_json_string_length(), json_parse_double(), json_parse_int64(), json_parse_uint64(), json_patch_apply(), json_pointer_get(), json_pointer_getf(), json_pointer_set(), json_pointer_set_with_cb(), json_pointer_set_with_limit_index(), json_pointer_setf(), json_tokener_error_desc(), json_tokener_free(), json_tokener_get_error(), json_tokener_get_parse_end(), json_tokener_new(), json_tokener_new_ex(), json_tokener_parse(), json_tokener_parse_ex(), json_tokener_parse_verbose(), json_tokener_reset(), json_tokener_set_flags(), json_type_to_name(), json_util_get_last_err(), printbuf_free(), printbuf_memappend(), printbuf_memset(), printbuf_new(), printbuf_reset(), and sprintbuf().

## Function Documentation

## json_c_version()

JSON_EXPORT const char * json_c_version | ( | void |  | ) |

See also
  JSON_C_VERSION

Returns
  the version of the json-c library as a string

References JSON_EXPORT.

## json_c_version_num()

JSON_EXPORT int json_c_version_num | ( | void |  | ) |

The json-c version encoded into an int, with the low order 8 bits being the micro version, the next higher 8 bits being the minor version and the next higher 8 bits being the major version. For example, 7.12.99 would be 0x00070B63.

See also
  JSON_C_VERSION_NUM

Returns
  the version of the json-c library as an int

References JSON_EXPORT.